// Dutchtronix AVR Oscilloscope Clock
//
//  Copyright  2010-2021 Johannes P.M. de Rie
//
//  All Rights Reserved
//
//  This file is part of the Dutchtronix Oscilloscope Clock Distribution.
//  Use, modification, and re-distribution is permitted subject to the
//  terms in the file named "LICENSE.TXT", which contains the full text
//  of the legal notices and should always accompany this Distribution.
//
//  This software is provided "AS IS" with NO WARRANTY OF ANY KIND.
//
//  This notice (including the copyright and warranty disclaimer)
//  must be included in all copies or derivations of this software.
//
// Firmware for Dutchtronix AVR Oscilloscope Clock
//
// ClkDebug.h
//
extern void DebugSerialOut(char ch);
extern void DebugSerialu08(byte b);
extern void DebugSerialu16(uint w);
extern void DebugSerialOutStrFlash(PGM_P pSrc);
extern void DebugSerialOutStr(char *pSrc);
extern void ShowCnt(uint w);
extern void ShowSecSkippedMsg(void);
extern void ShowCModState(byte state, byte val);

void DebugAssert(uint line);
BOOL UsrDebugReport(char c);
BOOL UsrDebugSetting(byte mode);
BOOL UsrDebugSetting0(char c);


#if DEBUG
#define ASSERT(x) if (!(x)) {DebugAssert(__LINE__);}
#else
#define ASSERT(x)
#endif
